Skip to content
Letterhead Letterhead Letterhead Help Center
Admin Tools

Curate content (v2)

POST
/api/v2/curations

Create a curation for any channel within an organization. Note that the v2 api requires a key generated from within the organization-level settings.

Provided that you are curating the same url, Letterhead will not create a duplicate curation, and you can use this endpoint to also update one if it is already in the system.

Version note: at present, you can only pass one channel identifier to channels. Shortly, you will able to pass multiple, or none - which will represent “all channels.”

scrape is not presently an option, but will be added.

Media type multipart/form-data
object
api

required | When true, instructs the endpoint that you’re authenticating with an organization key as opposed to some other method. In almost all cases you will want to set this value to true.

string
Example
true
channels[]

required | string[] | An array of channel identifiers (or channel “slugs”) across which to create a curation.

string
Example
{{channelSlug}}
content

optional | html content for the curation, only p and formatting elements are allowed. You would use this if

string
Example
excerpt

optional | Plain text excerpt of the curated content. Will overwrite what we fetch from the URL.

string
Example
image

optional | The URL of a featured image to associate with this piece of content.

string
Example
publicationDate

optional | The Y-md H:i:s formatted date of publication.

string
Example
siteName

optional | The name of the site the curated content originated from.

string
Example
tags

optional | string[] | An optional array of string tags with which to associate this piece of content. Example: ['dogs', 'canines']

string
Example
title

optional | Title of the curated content. Will overwrite what we fetch from the URL.

string
Example
url

required | URL to the content you would like Letterhead to crawl. We will fetch what we can glean from the site’s Open Graph.

string
Example
https://letterhead.ai

Still can’t find what you need? Contact support.